--- title: "Check player name" slug: "vpe-api-check-name" tags: ["Video Player Enhancement"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/vpe-api-check-name" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Check player name Available in Classic and VPC Check validity and duplication of a player name. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/players/checkName | ### Request headers For information about the headers common to all Video Player Enhancement APIs, see [Video Player Enhancement request headers](/docs/en/vpe-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | String | Required | Player name - Enter 3-30 characters using a combination of English letters, numbers, and special characters "_", "-", and "@". - The string must begin with an English letter. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpe.apigw.ntruss.com/api/v1/players/checkName?name=player001' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `message` | String | - | Name check result - If the name is available: `ok` - If the name is unavailable: Reason for unavailability | ### Response status codes For information about the HTTP status codes common to all Video Player Enhancement APIs, see [Common Video Player Enhancement response status codes](/docs/en/vpe-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If check result is available name The following is a sample response if the check results in an available name. ``` { "code": "200", "message": "ok" } ``` #### If check result is unavailable name The following is a sample response if the check results in an unavailable name. ``` { "error": { "errorCode": "4802", "message": "This player already exists." } } ```